{"swagger":"2.0","info":{"description":"<p>This represents the available REST interfaces associated with Engineering Village searches.</p><p>Interactive Swagger documentation can be found <a href='https://api.engineeringvillage.com/EvDataWebServices/swagger-ui.html'>here</a> along with the <a href='https://api.engineeringvillage.com/EvDataWebServices/v2/api-docs?group=00-ev-search-api'>Swagger definition</a></p>","version":"1.0.0","title":"The Engineering Village Search API","contact":{"name":"integrationsupport@elsevier.com"},"license":{"name":"Copyright © 2020 Elsevier B.V."}},"host":"api.engineeringvillage.com","basePath":"/EvDataWebServices","tags":[{"name":"public-search-controller","description":"Public Search Controller"}],"paths":{"/results":{"get":{"tags":["public-search-controller"],"summary":"Engineering Village Search API","description":"This represents an Expert Search against Engineering Village databases. Expert Search provides search power and flexibility by incorporating advanced Boolean logic and including a rich variety of options.","operationId":"expertSearch","produces":["application/json","application/xml"],"parameters":[{"name":"database","in":"query","description":"<br/>List of databases to query. When no databases are specified, all databases to which application account is entitles are searched. Database codes include:<br/><br/>c - Compendex/EI Backfile<br/>i - Inspec/Inspec Archive<br/>n - NTIS<br/>pc - Paperchem<br/>cm - Chimica<br/>cb - CBNB<br/>el - EnCompassLIT<br/>ep - EnCompassPAT<br/>g - GEOBASE<br/>f - GeoRef<br/>p - Patents Plus<br/>u - US Patents<br/>e - EP Patents<br/>w - WO Patents<br/>k - Knovel","required":false,"type":"array","items":{"type":"string"},"collectionFormat":"multi","enum":["c","i","n","pc","cm","cb","el","ep","g","f","p","u","e","w","k"]},{"name":"query","in":"query","description":"Expert search phrase which cannot be blank and cannot contain only * and whitespace characters. See help topics <a href='http://help.engineeringvillage.com/Engineering_Village_Help_CSH.htm#Expert_search_overview.htm'>here</a> for searching specific <a href='http://help.engineeringvillage.com/Engineering_Village_Help_CSH.htm#Expert_Search_Fields_and_Fields_Codes.htm'>fields</a>, and for using <a href='http://help.engineeringvillage.com/Engineering_Village_Help_CSH.htm#Proximity_Near_Operator_.htm'>proximity/near operators</a>, <a href='http://help.engineeringvillage.com/Engineering_Village_Help_CSH.htm#Boolean_Operators.htm'>Boolean operators</a>, <a href='http://help.engineeringvillage.com/Engineering_Village_Help_CSH.htm#Exact_Phrase_Searching.htm'>exact phrases</a>, <a href='http://help.engineeringvillage.com/Engineering_Village_Help_CSH.htm#Special_Characters.htm'>special characters</a>, <a href='http://help.engineeringvillage.com/Engineering_Village_Help_CSH.htm#Wildcards_and_Truncation.htm'>wildcards and truncation</a>, and <a href='http://help.engineeringvillage.com/Engineering_Village_Help_CSH.htm#Stop_Words.htm'>stop words</a>","required":true,"type":"string"},{"name":"navigator","in":"query","description":"Navigator, a setting which determines if navigators should be returned if a is performed on search words, defaults to false if not set","required":false,"type":"boolean"},{"name":"navigatorDataCount","in":"query","description":"Navigator data count, a setting which determines how many records for the navigator should be returned, minimum is 1 maximum is 160, default is 10","required":false,"type":"integer","format":"int32"},{"name":"autoStemming","in":"query","description":"<a href='http://help.engineeringvillage.com/Engineering_Village_Help_CSH.htm#Autostemming.htm'>Autostemming</a> a setting which determines if stemming is performed on search words, defaults to false if not set","required":false,"type":"boolean"},{"name":"startYear","in":"query","description":"Start year, leave blank if providing updateNumber","required":false,"type":"integer","format":"int32"},{"name":"endYear","in":"query","description":"End year, leave blank if providing updateNumber","required":false,"type":"integer","format":"int32"},{"name":"updateNumber","in":"query","description":"Update week number, find records updated within the last N weeks; 1 &lt;= N &lt;=4, leave blank when setting startYear or endYear. See <a href='http://help.engineeringvillage.com/Engineering_Village_Help_CSH.htm#Date_Limits.htm'>here</a> for more information.","required":false,"type":"integer","format":"int32"},{"name":"sortField","in":"query","description":"Sort Field, which can vary by database. Default setting is relevance if parameter is not provided. See <a href='http://help.engineeringvillage.com/Engineering_Village_Help_CSH.htm#Sort_by.htm'>here</a> for more information.<br/><br/>relevance - Relevance<br/>yr - Date (year)<br/>ausort - Author<br/>stsort - Source<br/>pnsort - Publisher<br/>pcb - Patent cited by","required":false,"type":"string"},{"name":"sortDirection","in":"query","description":"Sort direction. Default setting is \"dw\" if parameter is not provided","required":false,"type":"string","enum":["dw","up"]},{"name":"offset","in":"query","description":"Page offset, used for pagination. To get page N, set offset = (N-1) * Page size. Defaults to 0 if not set.","required":false,"type":"integer","format":"int32"},{"name":"pageSize","in":"query","description":"Requested page size, defaults to 25 if not set. Used for pagination with offset parameter. Actual page size will be set to the results count if the results count is less than the requested page size","required":false,"type":"integer","format":"int32"},{"name":"highlightEnable","in":"query","description":"Enable highlighting","required":false,"type":"boolean"},{"name":"selectedRecordsIndicator","in":"query","description":"Selected Records Indicator is a setting which determines if the request is initiated by the selected records page, defaults to false if not set","required":false,"type":"boolean"},{"name":"apiKey","in":"query","description":"Required if no X-ELS-APIKey HTTP header, this represents a unique application developer key providing access to resource.","required":true,"type":"string"},{"name":"access_token","in":"query","description":"Override for HTTP header Authorization, this contains the OAuth bearer access token, where the format of the field is \"&lt;token&gt;\" (where the token represents the end-user session key). The presence of a bearer token implies the request will be executed against user-based entitlements.","required":false,"type":"string"}],"responses":{"200":{"description":"Engineering Village Search Response","schema":{"$ref":"#/definitions/PageContainer"}},"400":{"description":"Invalid Request: This is an error that occurs when invalid information is submitted.","schema":{"$ref":"#/definitions/ServiceErrorWrap"}},"401":{"description":"Authentication Error: This is an error that occurs when a user cannot be authenticated due to missing/invalid credentials (authtoken or APIKey).","schema":{"$ref":"#/definitions/ServiceErrorWrap"}},"403":{"description":"Authorization/Entitlements Error: This is an error that occurs when a user cannot be authenticated or entitlements cannot be validated.","schema":{"$ref":"#/definitions/ServiceErrorWrap"}},"429":{"description":"Quota Exceeded: This is an error that occurs when a requester has exceeded the quota limits associated with their API Key.","schema":{"$ref":"#/definitions/ServiceErrorWrap"}},"500":{"description":"Generic Error: This is a general purpose error condition, typically due to back-end processing errors.","schema":{"$ref":"#/definitions/ServiceErrorWrap"}}},"security":[{"basic":[]},{"apikey":[]},{"ipkey":[]}]}}},"securityDefinitions":{"apikey":{"type":"apiKey","name":"X-ELS-AuthToken","in":"header"},"basic":{"type":"basic"},"ipkey":{"type":"apiKey","name":"els-client-ip","in":"header"}},"definitions":{"Affiliation":{"type":"object","properties":{"ID":{"type":"string","xml":{"name":"ID","attribute":true,"wrapped":false}},"NAME":{"type":"string","xml":{"name":"NAME","attribute":false,"wrapped":false}}},"title":"Affiliation"},"Afs":{"type":"object","properties":{"AF":{"type":"array","xml":{"name":"AF","attribute":false,"wrapped":false},"description":"Authors affiliation list","allowEmptyValue":false,"items":{"$ref":"#/definitions/Affiliation"}}},"title":"Afs"},"Aus":{"type":"object","properties":{"AU":{"type":"array","xml":{"name":"AU","attribute":false,"wrapped":false},"description":"Author list","allowEmptyValue":false,"items":{"$ref":"#/definitions/ContributorInfo"}}},"title":"Aus"},"CitationEiDoc":{"type":"object","properties":{"AFS":{"xml":{"name":"AFS","attribute":false,"wrapped":false},"description":"Authors affiliation","allowEmptyValue":false,"$ref":"#/definitions/Afs"},"AUS":{"xml":{"name":"AUS","attribute":false,"wrapped":false},"description":"Authors","allowEmptyValue":false,"$ref":"#/definitions/Aus"},"DOC":{"xml":{"name":"DOC","attribute":false,"wrapped":false},"allowEmptyValue":false,"$ref":"#/definitions/DocID"},"DOCUMENTPROPERTIES":{"type":"object","additionalProperties":{"type":"string"}},"EDS":{"xml":{"name":"EDS","attribute":false,"wrapped":false},"description":"Editors","allowEmptyValue":false,"$ref":"#/definitions/Eds"},"EFS":{"xml":{"name":"EFS","attribute":false,"wrapped":false},"description":"Editors affiliation","allowEmptyValue":false,"$ref":"#/definitions/Efs"},"FT":{"xml":{"name":"FT","attribute":false,"wrapped":false},"$ref":"#/definitions/FT"},"VIEW":{"type":"string","xml":{"name":"VIEW","attribute":true,"wrapped":false}},"docProperties":{"xml":{"name":"DOCUMENTPROPERTIES","attribute":false,"wrapped":false},"$ref":"#/definitions/DocProperties"}},"title":"CitationEiDoc"},"ContributorAffiliation":{"type":"object","properties":{"AFID":{"type":"array","xml":{"name":"AFID","attribute":false,"wrapped":false},"description":"Affiliation ID list","allowEmptyValue":false,"items":{"type":"string"}}},"title":"ContributorAffiliation"},"ContributorInfo":{"type":"object","properties":{"AFS":{"xml":{"name":"AFS","attribute":false,"wrapped":false},"description":"Affiliations","allowEmptyValue":false,"$ref":"#/definitions/ContributorAffiliation"},"CO":{"type":"string","xml":{"name":"CO","attribute":false,"wrapped":false},"description":"Country","allowEmptyValue":false},"EMAIL":{"type":"string","xml":{"name":"EMAIL","attribute":false,"wrapped":false}},"ID":{"type":"string","xml":{"name":"ID","attribute":true,"wrapped":false}},"NAME":{"type":"string","xml":{"name":"NAME","attribute":false,"wrapped":false}}},"title":"ContributorInfo"},"Database":{"type":"object","properties":{"DBNAME":{"type":"string","xml":{"name":"DBNAME","attribute":false,"wrapped":false}},"ID":{"type":"string","xml":{"name":"ID","attribute":false,"wrapped":false}}},"title":"Database"},"DocID":{"type":"object","properties":{"DB":{"xml":{"name":"DB","attribute":false,"wrapped":false},"$ref":"#/definitions/Database"},"DOC-ID":{"type":"string","xml":{"name":"DOC-ID","attribute":false,"wrapped":false}},"HITINDEX":{"type":"integer","format":"int32","xml":{"name":"HITINDEX","attribute":false,"wrapped":false}},"TAGDATE":{"type":"string","xml":{"name":"TAGDATE","attribute":false,"wrapped":false}}},"title":"DocID"},"DocProperties":{"type":"object","properties":{"any":{"type":"object","additionalProperties":{"type":"string"}}},"title":"DocProperties"},"Eds":{"type":"object","properties":{"ED":{"type":"array","xml":{"name":"ED","attribute":false,"wrapped":false},"description":"Editor list","allowEmptyValue":false,"items":{"$ref":"#/definitions/ContributorInfo"}}},"title":"Eds"},"Efs":{"type":"object","properties":{"EF":{"type":"array","xml":{"name":"EF","attribute":false,"wrapped":false},"description":"Editors affiliation list","allowEmptyValue":false,"items":{"$ref":"#/definitions/Affiliation"}}},"title":"Efs"},"FT":{"type":"object","properties":{"FTLINK":{"type":"string","xml":{"name":"FTLINK","attribute":true,"wrapped":false}}},"title":"FT"},"ModifierResult":{"type":"object","properties":{"COUNT":{"type":"string","xml":{"name":"COUNT","attribute":false,"wrapped":false}},"LABEL":{"type":"string","xml":{"name":"LABEL","attribute":false,"wrapped":false}},"VALUE":{"type":"string","xml":{"name":"VALUE","attribute":false,"wrapped":false}}},"title":"ModifierResult"},"NavigatorResult":{"type":"object","properties":{"FIELD":{"type":"string","xml":{"name":"FIELD","attribute":false,"wrapped":false}},"INCLUDEALL":{"type":"string","xml":{"name":"INCLUDEALL","attribute":false,"wrapped":false}},"LABEL":{"type":"string","xml":{"name":"LABEL","attribute":false,"wrapped":false}},"MODIFIER":{"xml":{"name":"MODIFIER","attribute":false,"wrapped":false},"$ref":"#/definitions/ModifierResult"},"NAME":{"type":"string","xml":{"name":"NAME","attribute":false,"wrapped":false}},"OPEN":{"type":"string","xml":{"name":"OPEN","attribute":false,"wrapped":false}},"ORDER":{"type":"string","xml":{"name":"ORDER","attribute":false,"wrapped":false}},"PAGERS":{"xml":{"name":"PAGERS","attribute":false,"wrapped":false},"$ref":"#/definitions/PagerResult"}},"title":"NavigatorResult"},"NavigatorResults":{"type":"object","properties":{"COMPMASK":{"type":"string","xml":{"name":"COMPMASK","attribute":false,"wrapped":false}},"NAVIGATOR":{"type":"array","xml":{"name":"NAVIGATOR","attribute":false,"wrapped":false},"items":{"$ref":"#/definitions/NavigatorResult"}}},"title":"NavigatorResults"},"PageContainer":{"type":"object","properties":{"PAGE":{"$ref":"#/definitions/PageContainerItems"}},"title":"PageContainer"},"PageContainerItems":{"type":"object","properties":{"NAVIGATORS":{"xml":{"name":"NAVIGATORS","attribute":false,"wrapped":false},"$ref":"#/definitions/NavigatorResults"},"PAGE-RESULTS":{"xml":{"name":"PAGE-RESULTS","attribute":false,"wrapped":false},"$ref":"#/definitions/PageResults"},"RESULTS-COUNT":{"type":"integer","format":"int32","xml":{"name":"RESULTS-COUNT","attribute":false,"wrapped":false}},"RESULTS-PER-PAGE":{"type":"integer","format":"int32","xml":{"name":"RESULTS-PER-PAGE","attribute":false,"wrapped":false}}},"title":"PageContainerItems","xml":{"name":"citationResultsPage","attribute":false,"wrapped":false}},"PageEntry":{"type":"object","properties":{"EI-DOCUMENT":{"xml":{"name":"EI-DOCUMENT","attribute":false,"wrapped":false},"$ref":"#/definitions/CitationEiDoc"}},"title":"PageEntry"},"PageResults":{"type":"object","properties":{"PAGE-ENTRY":{"type":"array","xml":{"name":"PAGE-ENTRY","attribute":false,"wrapped":false},"items":{"$ref":"#/definitions/PageEntry"}}},"title":"PageResults"},"PagerResult":{"type":"object","properties":{"FIELD":{"type":"string","xml":{"name":"FIELD","attribute":false,"wrapped":false}},"MORE":{"type":"string","xml":{"name":"MORE","attribute":false,"wrapped":false}},"TOTALSIZE":{"type":"string","xml":{"name":"TOTALSIZE","attribute":false,"wrapped":false}}},"title":"PagerResult"},"ServiceError":{"type":"object","properties":{"status":{"xml":{"name":"status","attribute":false,"wrapped":false},"$ref":"#/definitions/Status"}},"title":"ServiceError"},"ServiceErrorWrap":{"type":"object","properties":{"service-error":{"$ref":"#/definitions/ServiceError"}},"title":"ServiceErrorWrap"},"Status":{"type":"object","properties":{"statusCode":{"type":"string","xml":{"name":"statusCode","attribute":false,"wrapped":false}},"statusText":{"type":"string","xml":{"name":"statusText","attribute":false,"wrapped":false}}},"title":"Status"}}}